<?php

/**
 * Directory Services Constants
 *
 * This file and all its content was generated from DirServicesConst.h 
 * by a few handy regexp's.
 *
 * @author   Justin Hannus <jhannus@128kb.com>
 * @version  1.0
 */

define("DS_RECORDS_ALL",                                 "dsRecordsAll");
define("DS_RECORDS_STANDARD_ALL",                        "dsRecordsStandardAll");
define("DS_RECORDS_NATIVE_ALL",                          "dsRecordsNativeAll");
define("DS_ATTRIBUTES_ALL",                              "dsAttributesAll");
define("DS_ATTRIBUTES_STANDARD_ALL",                     "dsAttributesStandardAll");
define("DS_ATTRIBUTES_NATIVE_ALL",                       "dsAttributesNativeAll");
define("DS_STD_RECORD_TYPE_PREFIX",                      "dsRecTypeStandard:");
define("DS_NATIVE_RECORD_TYPE_PREFIX",                   "dsRecTypeNative:");
define("DS_STD_RECORD_TYPE_USERS",                       "dsRecTypeStandard:Users");
define("DS_STD_RECORD_TYPE_USER_ALIASES",                "dsRecTypeStandard:UserAliases");
define("DS_STD_RECORD_TYPE_GROUPS",                      "dsRecTypeStandard:Groups");
define("DS_STD_RECORD_TYPE_GROUP_ALIASES",               "dsRecTypeStandard:GroupAliases");
define("DS_STD_RECORD_TYPE_MACHINES",                    "dsRecTypeStandard:Machines");
define("DS_STD_RECORD_TYPE_ALIASES",                     "dsRecTypeStandard:Aliases");
define("DS_STD_RECORD_TYPE_HOSTS",                       "dsRecTypeStandard:Hosts");
define("DS_STD_RECORD_TYPE_PRINTERS",                    "dsRecTypeStandard:Printers");
define("DS_STD_RECORD_TYPE_NETWORKS",                    "dsRecTypeStandard:Networks");
define("DS_STD_RECORD_TYPE_SERVICES",                    "dsRecTypeStandard:Services");
define("DS_STD_RECORD_TYPE_SERVER",                      "dsRecTypeStandard:Server");
define("DS_STD_RECORD_TYP_PROTOCOLS",                    "dsRecTypeStandard:Protocols");
define("DS_STD_RECORD_TYPE_PROTOCOLS",                   "dsRecTypeStandard:Protocols");
define("DS_STD_RECORD_TYP_RPC",                          "dsRecTypeStandard:RPC");
define("DS_STD_RECORD_TYPE_RPC",                         "dsRecTypeStandard:RPC");
define("DS_STD_RECORD_TYPE_PRINT_SERVICE",               "dsRecTypeStandard:PrintService");
define("DS_STD_RECORD_TYPE_CONFIG",                      "dsRecTypeStandard:Config");
define("DS_STD_RECORD_TYPE_AFPSERVER",                   "dsRecTypeStandard:AFPServer");
define("DS_STD_RECORD_TYPE_SMBSERVER",                   "dsRecTypeStandard:SMBServer");
define("DS_STD_RECORD_TYPE_FTPSERVER",                   "dsRecTypeStandard:FTPServer");
define("DS_STD_RECORD_TYPE_NFS",                         "dsRecTypeStandard:NFS");
define("DS_STD_RECORD_TYPE_WEB_SERVER",                  "dsRecTypeStandard:WebServer");
define("DS_STD_RECORD_TYPE_LDAPSERVER",                  "dsRecTypeStandard:LDAPServer");
define("DS_STD_RECORD_TYPE_QTSSERVER",                   "dsRecTypeStandard:QTSServer");
define("DS_STD_RECORD_TYP_MOUNTS",                       "dsRecTypeStandard:Mounts");
define("DS_STD_RECORD_TYPE_MOUNTS",                      "dsRecTypeStandard:Mounts");
define("DS_STD_RECORD_TYPE_COMPUTERS",                   "dsRecTypeStandard:Computers");
define("DS_STD_RECORD_TYPE_COMPUTER_LISTS",              "dsRecTypeStandard:ComputerLists");
define("DS_STD_RECORD_TYPE_PRESET_USERS",                "dsRecTypeStandard:PresetUsers");
define("DS_STD_RECORD_TYPE_PRESET_GROUPS",               "dsRecTypeStandard:PresetGroups");
define("DS_STD_RECORD_TYPE_PRESET_COMPUTER_LISTS",       "dsRecTypeStandard:PresetComputerLists");
define("DS_STD_RECORD_TYPE_PRINT_SERVICE_USER",          "dsRecTypeStandard:PrintServiceUser");
define("DS_STD_RECORD_TYPE_AFPUSER_ALIASES",             "dsRecTypeStandard:AFPUserAliases");
define("DS_STD_RECORD_TYPE_BOOTP",                       "dsRecTypeStandard:Bootp");
define("DS_STD_RECORD_TYPE_NET_DOMAINS",                 "dsRecTypeStandard:NetDomains");
define("DS_STD_RECORD_TYPE_ETHERNETS",                   "dsRecTypeStandard:Ethernets");
define("DS_STD_RECORD_TYPE_NET_GROUPS",                  "dsRecTypeStandard:NetGroups");
define("DS_STD_RECORD_TYPE_HOST_SERVICES",               "dsRecTypeStandard:HostServices");
define("DS_STD_USER_NAMES_META",                         "dsRecTypeStandard:MetaUserNames");
define("DS_STD_RECORD_TYPE_META",                        "dsRecTypeStandard:AppleMetaRecord");
define("DS_STD_ATTR_TYPE_PREFIX",                        "dsAttrTypeStandard:");
define("DS_NATIVE_ATTR_TYPE_PREFIX",                     "dsAttrTypeNative:");
define("DS_ATTR_NONE",                                   "dsNone");
define("DS_STD_AUTH_METHOD_PREFIX",                      "dsAuthMethodStandard:");
define("DS_NATIVE_AUTH_METHOD_PREFIX",                   "dsAuthMethodNative:");
define("DS_STD_AUTH_CLEAR_TEXT",                         "dsAuthMethodStandard:dsAuthClearText");
define("DS_STD_AUTH_CRYPT",                              "dsAuthMethodStandard:dsAuthCrypt");
define("DS_STD_AUTH_SET_PASSWD",                         "dsAuthMethodStandard:dsAuthSetPasswd");
define("DS_STD_AUTH_CHANGE_PASSWD",                      "dsAuthMethodStandard:dsAuthChangePasswd");
define("DS_STD_AUTH_SET_PASSWD_AS_ROOT",                 "dsAuthMethodStandard:dsAuthSetPasswdAsRoot");
define("DS_STD_AUTH2WAY_RANDOM_CHANGE_PASSWD",           "dsAuthMethodStandard:dsAuth2WayRandomChangePasswd");
define("DS_STD_AUTH_APOP",                               "dsAuthMethodStandard:dsAuthAPOP");
define("DS_STD_AUTH2WAY_RANDOM",                         "dsAuthMethodStandard:dsAuth2WayRandom");
define("DS_STD_AUTH_NODE_NATIVE_CLEAR_TEXT_OK",          "dsAuthMethodStandard:dsAuthNodeNativeCanUseClearText");
define("DS_STD_AUTH_NODE_NATIVE_NO_CLEAR_TEXT",          "dsAuthMethodStandard:dsAuthNodeNativeCannotUseClearText");
define("DS_STD_AUTH_SMB_NT_KEY",                         "dsAuthMethodStandard:dsAuthSMBNTKey");
define("DS_STD_AUTH_SMB_LM_KEY",                         "dsAuthMethodStandard:dsAuthSMBLMKey");
define("DS_STD_AUTH_CRAM_MD5",                           "dsAuthMethodStandard:dsAuthNodeCRAM-MD5");
define("DS_STD_AUTH_DIGEST_MD5",                         "dsAuthMethodStandard:dsAuthNodeDIGEST-MD5");
define("DS_STD_AUTH_MSCHAP2",                            "dsAuthMethodStandard:dsAuthMSCHAP2");
define("DS_STD_AUTH_MASKE_A",                            "dsAuthMethodStandard:dsAuthMASKE-A");
define("DS_STD_AUTH_MASKE_B",                            "dsAuthMethodStandard:dsAuthMASKE-B");
define("DS_STD_AUTH_NEW_USER",                           "dsAuthMethodStandard:dsAuthNewUser");
define("DS_STD_AUTH_GET_POLICY",                         "dsAuthMethodStandard:dsAuthGetPolicy");
define("DS_STD_AUTH_SET_POLICY",                         "dsAuthMethodStandard:dsAuthSetPolicy");
define("DS_STD_AUTH_GET_GLOBAL_POLICY",                  "dsAuthMethodStandard:dsAuthGetGlobalPolicy");
define("DS_STD_AUTH_SET_GLOBAL_POLICY",                  "dsAuthMethodStandard:dsAuthSetGlobalPolicy");
define("DS_STD_AUTH_GET_USER_NAME",                      "dsAuthMethodStandard:dsAuthGetUserName");
define("DS_STD_AUTH_SET_USER_NAME",                      "dsAuthMethodStandard:dsAuthSetUserName");
define("DS_STD_AUTH_GET_USER_DATA",                      "dsAuthMethodStandard:dsAuthGetUserData");
define("DS_STD_AUTH_SET_USER_DATA",                      "dsAuthMethodStandard:dsAuthSetUserData");
define("DS_STD_AUTH_DELETE_USER",                        "dsAuthMethodStandard:dsAuthDeleteUser");
define("DS_1ATTR_DISTINGUISHED_NAME",                    "dsAttrTypeStandard:RealName");
define("DS_1ATTR_FIRST_NAME",                            "dsAttrTypeStandard:FirstName");
define("DS_1ATTR_MIDDLE_NAME",                           "dsAttrTypeStandard:MiddleName");
define("DS_1ATTR_LAST_NAME",                             "dsAttrTypeStandard:LastName");
define("DS_NATTR_ALL_NAMES",                             "dsAttrTypeStandard:AllNames");
define("DS_SET_PASSWD_BEST_OF",                          "dsSetPasswdBestOf");
define("DS_NATTR_AUTHENTICATION_AUTHORITY",              "dsAttrTypeStandard:AuthenticationAuthority");
define("DS_VALUE_AUTH_AUTHORITY_BASIC",                  ";basic;");
define("DS_VALUE_AUTH_AUTHORITY_LOCAL_WINDOWS_HASH",     ";LocalWindowsHash;");
define("DS_VALUE_AUTH_AUTHORITY_PASSWORD_SERVER_PREFIX", ";ApplePasswordServer;");
define("DS_1ATTR_PASSWORD",                              "dsAttrTypeStandard:Password");
define("DS_1ATTR_PASSWORD_PLUS",                         "dsAttrTypeStandard:PasswordPlus");
define("DS_1ATTR_AUTHENTICATION_HINT",                   "dsAttrTypeStandard:AuthenticationHint");
define("DS_1ATTR_INTERNET_ALIAS",                        "dsAttrTypeStandard:InetAlias");
define("DS_1ATTR_NFSHOME_DIRECTORY",                     "dsAttrTypeStandard:NFSHomeDirectory");
define("DS_1ATTR_UNIQUE_ID",                             "dsAttrTypeStandard:UniqueID");
define("DS_1ATTR_PRIMARY_GROUP_ID",                      "dsAttrTypeStandard:PrimaryGroupID");
define("DS_1ATTR_MAIL_ATTRIBUTE",                        "dsAttrTypeStandard:MailAttribute");
define("DS_1ATTR_COMMENT",                               "dsAttrTypeStandard:Comment");
define("DS_1ATTR_RARA",                                  "dsAttrTypeStandard:RARA");
define("DS_1ATTR_GENERATED_UID",                         "dsAttrTypeStandard:GeneratedUID");
define("DS_1ATTR_ADMIN_STATUS",                          "dsAttrTypeStandard:AdminStatus");
define("DS_1ATTR_PWD_AGING_POLICY",                      "dsAttrTypeStandard:PwdAgingPolicy");
define("DS_1ATTR_USER_SHELL",                            "dsAttrTypeStandard:UserShell");
define("DS_1ATTR_VFSTYPE",                               "dsAttrTypeStandard:VFSType");
define("DS_1ATTR_VFSPASS_NO",                            "dsAttrTypeStandard:VFSPassNo");
define("DS_1ATTR_VFSDUMP_FREQ",                          "dsAttrTypeStandard:VFSDumpFreq");
define("DS_1ATTR_VFSLINK_DIR",                           "dsAttrTypeStandard:VFSLinkDir");
define("DS_1ATTR_CHANGE",                                "dsAttrTypeStandard:Change");
define("DS_1ATTR_EXPIRE",                                "dsAttrTypeStandard:Expire");
define("DS_NATTR_RECORD_ALIAS",                          "dsAttrTypeStandard:RecordAlias");
define("DS_NATTR_GROUP_MEMBERSHIP",                      "dsAttrTypeStandard:GroupMembership");
define("DS_NATTR_HOME_DIRECTORY",                        "dsAttrTypeStandard:HomeDirectory");
define("DS_1ATTR_HOME_DIRECTORY_QUOTA",                  "dsAttrTypeStandard:HomeDirectoryQuota");
define("DS_1ATTR_ADMIN_LIMITS",                          "dsAttrTypeStandard:AdminLimits");
define("DS_1ATTR_PRESET_USER_IS_ADMIN",                  "dsAttrTypeStandard:PresetUserIsAdmin");
define("DS_1ATTR_HOME_LOC_OWNER",                        "dsAttrTypeStandard:HomeLocOwner");
define("DS_NATTR_PROTOCOLS",                             "dsAttrTypeStandard:Protocols");
define("DS_NATTR_VFSOPTS",                               "dsAttrTypeStandard:VFSOpts");
define("DS_1ATTR_PASSWORD_SERVER_LOCATION",              "dsAttrTypeStandard:PasswordServerLocation");
define("DS_1ATTR_PORT",                                  "dsAttrTypeStandard:Port");
define("DS_1ATTR_LOCATION",                              "dsAttrTypeStandard:Location");
define("DS_1ATTR_SERVICE_TYPE",                          "dsAttrTypeStandard:ServiceType");
define("DS_1ATTR_PICTURE",                               "dsAttrTypeStandard:Picture");
define("DS_NATTR_META_NODE_LOCATION",                    "dsAttrTypeStandard:AppleMetaNodeLocation");
define("DS_K_STANDARD_TARGET_ALIAS",                     "dsAttrTypeStandard:AppleMetaAliasTarget");
define("DS_K_STANDARD_SOURCE_ALIAS",                     "dsAttrTypeStandard:AppleMetaAliasSource");
define("DS_1ATTR_ALIAS_DATA",                            "dsAttrTypeStandard:AppleAliasData");
define("DS_1ATTR_DATA_STAMP",                            "dsAttrTypeStandard:DataStamp");
define("DS_1ATTR_TOTAL_SIZE",                            "dsAttrTypeStandard:TotalSize");
define("DS_1ATTR_TIME_PACKAGE",                          "dsAttrTypeStandard:TimePackage");
define("DS_1ATTR_ALIAS",                                 "dsAttrTypeStandard:Alias");
define("DS_1ATTR_AUTH_CREDENTIAL",                       "dsAttrTypeStandard:AuthCredential");
define("DS_1ATTR_CAPABILITIES",                          "dsAttrTypeStandard:Capabilities");
define("DS_1ATTR_READ_ONLY_NODE",                        "dsAttrTypeStandard:ReadOnlyNode");
define("DS_1ATTR_SEARCH_PATH",                           "dsAttrTypeStandard:SearchPath");
define("DS_NATTR_SEARCH_PATH",                           "dsAttrTypeStandard:SearchPath");
define("DS_1ATTR_SEARCH_POLICY",                         "dsAttrTypeStandard:SearchPolicy");
define("DS_1ATTR_NSPSEARCH_PATH",                        "dsAttrTypeStandard:NSPSearchPath");
define("DS_NATTR_NSPSEARCH_PATH",                        "dsAttrTypeStandard:NSPSearchPath");
define("DS_1ATTR_LSPSEARCH_PATH",                        "dsAttrTypeStandard:LSPSearchPath");
define("DS_NATTR_LSPSEARCH_PATH",                        "dsAttrTypeStandard:LSPSearchPath");
define("DS_1ATTR_CSPSEARCH_PATH",                        "dsAttrTypeStandard:CSPSearchPath");
define("DS_NATTR_CSPSEARCH_PATH",                        "dsAttrTypeStandard:CSPSearchPath");
define("DS_1ATTR_RECORD_IMAGE",                          "dsAttrTypeStandard:RecordImage");
define("DS_NATTR_PLUG_IN_INFO",                          "dsAttrTypeStandard:PlugInInfo");
define("DS_NATTR_RECORD_NAME",                           "dsAttrTypeStandard:RecordName");
define("DS_NATTR_SCHEMA",                                "dsAttrTypeStandard:Scheama");
define("DS_NATTR_RECORD_TYPE",                           "dsAttrTypeStandard:RecordType");
define("DS_NATTR_NODE_PATH",                             "dsAttrTypeStandard:NodePath");
define("DS_NATTR_AUTH_METHOD",                           "dsAttrTypeStandard:AuthMethod");
define("DS_NATTR_SET_PASSWD_METHOD",                     "dsAttrTypeStandard:SetPasswdMethod");
define("DS_NATTR_GROUP",                                 "dsAttrTypeStandard:Group");
define("DS_NATTR_MEMBER",                                "dsAttrTypeStandard:Member");
define("DS_NATTR_URL",                                   "dsAttrTypeStandard:URL");
define("DS_NATTR_MIME",                                  "dsAttrTypeStandard:MIME");
define("DS_NATTR_HTML",                                  "dsAttrTypeStandard:HTML");
define("DS_NATTR_NBPENTRY",                              "dsAttrTypeStandard:NBPEntry");
define("DS_NATTR_DNSNAME",                               "dsAttrTypeStandard:DNSName");
define("DS_NATTR_IPADDRESS",                             "dsAttrTypeStandard:IPAddress");
define("DS_1ATTR_ENET_ADDRESS",                          "dsAttrTypeStandard:ENetAddress");
define("DS_NATTR_BOOT_PARAMS",                           "dsAttrTypeStandard:BootParams");
define("DS_NATTR_NET_GROUPS",                            "dsAttrTypeStandard:NetGroups");
define("DS_NATTR_PGPPUBLIC_KEY",                         "dsAttrTypeStandard:PGPPublicKey");
define("DS_NATTR_EMAIL_ADDRESS",                         "dsAttrTypeStandard:EMailAddress");
define("DS_NATTR_AREA_CODE",                             "dsAttrTypeStandard:AreaCode");
define("DS_NATTR_PHONE_NUMBER",                          "dsAttrTypeStandard:PhoneNumber");
define("DS_NATTR_POSTAL_ADDRESS",                        "dsAttrTypeStandard:PostalAddress");
define("DS_NATTR_ORGANIZATION_NAME",                     "dsAttrTypeStandard:OrganizationName");
define("DS_NATTR_ADDRESS_LINE1",                         "dsAttrTypeStandard:AddressLine1");
define("DS_NATTR_ADDRESS_LINE2",                         "dsAttrTypeStandard:AddressLine2");
define("DS_NATTR_ADDRESS_LINE3",                         "dsAttrTypeStandard:AddressLine3");
define("DS_NATTR_CITY",                                  "dsAttrTypeStandard:City");
define("DS_NATTR_STATE",                                 "dsAttrTypeStandard:State");
define("DS_NATTR_POSTAL_CODE",                           "dsAttrTypeStandard:PostalCode");
define("DS_1ATTR_SETUP_OCCUPATION",                      "dsAttrTypeStandard:Occupation");
define("DS_1ATTR_SETUP_LOCATION",                        "dsAttrTypeStandard:SetupAssistantLocation");
define("DS_1ATTR_SETUP_ADVERTISING",                     "dsAttrTypeStandard:SetupAssistantAdvertising");
define("DS_1ATTR_SETUP_AUTO_REGISTER",                   "dsAttrTypeStandard:SetupAssistantAutoRegister");
define("DS_1ATTR_MCXSETTINGS",                           "dsAttrTypeStandard:MCXSettings");
define("DS_1ATTR_MCXFLAGS",                              "dsAttrTypeStandard:MCXFlags");
define("DS_NATTR_COMPUTERS",                             "dsAttrTypeStandard:Computers");
define("DS_NATTR_URLFOR_NSL",                            "dsAttrTypeStandard:URLForNSL");
define("DS_1ATTR_PRINT_SERVICE_INFO_XML",                "dsAttrTypeStandard:PrintServiceInfoXML");
define("DS_1ATTR_PRINT_SERVICE_INFO_TEXT",               "dsAttrTypeStandard:PrintServiceInfoText");
define("DS_1ATTR_PRINT_SERVICE_USER_DATA",               "dsAttrTypeStandard:PrintServiceUserData");


?>